<?php

class m130301_135042_shoppingcart extends CDbMigration
{
    public function up()
    {

        $this->createTable('{{item}}', array(
            'id' => 'pk',
            'price' => 'float',
            'admin_email' => 'text',
            'page_id'=>'integer',
            'title'=>'string',
            'item_id'=>'integer',
            'order_id'=>'integer',
            'quantity'=>'integer',
            'referrer'=>'string',
            'ip_address'=>'string',
            'ordered_at' => 'timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP',
        ));
        $this->createTable('{{order}}', array(
            'id' => 'pk',
            'ordered' => 'integer DEFAULT 0',
            'user_id' => 'integer',
            'shipping_info'=>'text',
            'payment_info'=>'text',
            'started_at' => 'timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP',
        ));
        $this->createTable('{{tmp_user}}', array(
            'id' => 'pk',
            'user_id' => 'integer NOT NULL',
            'parent_user_id' => 'integer',
            'salutation' => 'string NOT NULL',
            'firstname' => 'string NOT NULL',
            'lastname' => 'string NOT NULL',
            'birthday' => 'date',
            'company' => 'string',
            'street' => 'string NOT NULL',
            'zip_code' => 'string NOT NULL',
            'city' => 'string NOT NULL',
            'country' => 'string NOT NULL',
            'telephone' => 'string',
            'email' => 'string NOT NULL',
            'memberNo' => 'string',
            'svnr' => 'string'
        ));
    }

    public function down()
    {
        $this->dropTable('{{item}}');
        $this->dropTable('{{order}}');
        $this->dropTable('{{tmp_user}}');
    }

    /*
    // Use safeUp/safeDown to do migration with transaction
    public function safeUp()
    {
    }

    public function safeDown()
    {
    }
    */
}
