<?php
/**
 * Created by JetBrains PhpStorm.
 * User: Andrey
 * Date: 6/19/13
 * Time: 12:24 PM
 * To change this template use File | Settings | File Templates.
 */
class APAActiveRecord extends CActiveRecord
{
    //For debugging
    public function beforeDelete(){

        $this->deleted = 1;
        $this->save(false, array('deleted'));
        return parent::beforeDelete();
    }

    protected function beforeSave()
    {
        if(parent::beforeSave())
        {
            if($this->isNewRecord)
            {
                $this->created = $this->updated = time();
            }
            else
                $this->updated=time();
            return true;
        }
        else
            return false;
    }
}