<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 */
?>


<h2><?php echo ShoppingcartModule::t('You ordered items')?></h2>

<table width="100%" cellspacing="0" cellpadding="0" class="items">
    <colgroup>
        <col width="10%">
        <col width="65%">
        <col width="10%">
        <col width="10%">
    </colgroup>
    <tr>
        <th class="item_quantity"><?php echo Item::model()->getAttributeLabel('quantity'); ?></th>
        <th class="item_title"><?php echo Item::model()->getAttributeLabel('title'); ?></th>
        <th class="item_price"><?php echo Item::model()->getAttributeLabel('price'); ?></th>
        <th class="item_sum"><?php echo ShoppingcartModule::t('Total'); ?></th>
    </tr>
    <?php
    $sum = 0;
    foreach($items as $i=>$item):
        $sum += $item->price * $item->quantity;
        ?>
        <tr>
            <td class="item_quantity"><?php echo $item->quantity ?></td>
            <td class="item_title"><?php echo $item->title; ?></td>
            <td class="item_price"><?php echo ($item->price != 0)?Item::addCurrency($item->price):ShoppingcartModule::t('free'); ?></td>
            <td class="item_sum"><?php echo ($item->price != 0)?Item::addCurrency(($item->price * $item->quantity)):ShoppingcartModule::t('free'); ?></td>
        </tr>
        <?php endforeach; ?>
    <tfoot>
    <td colspan="3" class="total_title"><?php echo ShoppingcartModule::t('Total'); ?></td>
    <td class="item_sum"><?php echo Item::addCurrency($sum + Yii::app()->getModule('shoppingcart')->shipping_costs); ?></td>

    </tfoot>
</table>
