<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 */
?>
<?php $form = $this->beginWidget('CActiveForm', array('id'=>'order-form')); ?>

<div class="row block">
    <?php echo $form->labelEx($this->order,'shipping_info'); ?>

    <div class="row">
        <?php echo $this->shipping_info; ?>
    </div>
    <?php echo $form->hiddenField($this->order,'shipping_info'); ?>
</div>

<div class="row block">
    <?php echo $form->labelEx($this->order,'payment_info'); ?>

    <div class="row">
        <?php echo $this->payment_info; ?>
    </div>
    <?php echo $form->hiddenField($this->order,'payment_info'); ?>
</div>

    <?php echo CHtml::hiddenField('checksum',$checksum); ?>

<input type="hidden" name="step" value="<?php echo $this->step ?>">

<div class="row controls">
    <?php echo CHtml::submitButton(ShoppingcartModule::t('Next')); ?>
</div>

<?php $this->endWidget(); ?>