<?php
/**
 *
 */
Yii::app()->clientScript->registerCssFile(Yii::app()->getModule('updates')->getAssetsUrl() . '/css/styles.css');
$currentVersion = Yii::app()->getModule('updates')->currentVersion;
?>

<div class="updates-release-update-step2">
    <div class="information-message">
        <?php if ($currentVersion < $release->getVersion()): ?>
        <?php echo UpdatesModule::t('You uploaded release of version {version}. Do you want update to it?', array('{version}' => $release->getVersion())) ?>
        <?php elseif ($currentVersion > $release->version): ?>
        <?php echo UpdatesModule::t('You uploaded release of version {version}. This version is lower than your {currentVersion}! Do you want update to it?',
            array('{version}' => $release->getVersion(), '{currentVersion}' => $currentVersion)) ?>
        <?php else: ?>
        <?php echo UpdatesModule::t('You uploaded release of version {version}. You have the same version! Do you want update to it?', array('{version}' => $release->getVersion())) ?>
        <?php endif;?>
    </div>

    <div class="invitation-message">
        <?php echo nl2br($release->getInvitationMessage())?>
    </div>

    <?php echo CHtml::beginForm('/updates/release/updateStep3', 'post')?>

    <?php echo CHtml::submitButton(UpdatesModule::t('Update'), array('name' => 'Update'))?>
    <?php echo CHtml::endForm()?>

</div>