
<div class="form">
<?php
    echo CHtml::form('','post');
    set_time_limit ( 300 );
    ?>

    <div class="row controls">
        <?php if($importFile->isExist() && ($importFile->getRowsCount() > 0))
        echo CHtml::submitButton('Validate',array('name'=>'submit_validate')); ?>

        <?php if($importFile->isExist() && ($importFile->getRowsCount() > 0))
        echo CHtml::submitButton('Import',array('name'=>'submit_import')); ?>

        <?php if($importFile->isExist() && ($importFile->getRowsCount() > 0)):
        echo CHtml::checkBox(UserModule::t('enable_override'),isset($_POST['enable_override'])?true:false); ?>
        <span>
        <?php echo UserModule::t('Overwrite existing users');  ?>
        </span>
        <?php endif; ?>
    </div>


<?php if($importFile->getRowsCount() > 0): ?>
<table class="items import">
    <tr>
        <?php
        /*
         * User table headers
         */
        foreach($importFile->getUserFieldNames() as $fieldName){  ?>
            <th><?php echo CHtml::activeLabel(new User(),$fieldName); ?></th>
        <?php
        } //foreach($userFieldNames as $fieldName)
        ?>
        <?php
        /*
         * Profile table headers
         */
        foreach($importFile->getProfileFieldNames() as $fieldName){  ?>
            <th><?php echo CHtml::activeLabel(new Profile(),$fieldName); ?></th>
        <?php
        } //foreach ($profilesFieldNames as $fieldName)
        ?>

        <th><?php echo UserModule::t('Import status'); ?></th>
    </tr>
    <?php
    $importFile->valid = null;

    foreach($importFile->getCsvFile() as $index => $csv_row){

        echo $this->renderImportTableRow($importFile, $index, $csv_row);

    }
    //Post a validation result
    echo CHtml::hiddenField('valid', $importFile->valid);

    if(isset($importFile->file)){
        echo CHtml::hiddenField('csvImportFile_realname', $importFile->file);
        echo CHtml::hiddenField('csvImportFile_hashname', $importFile->hashname);
    }
    ?>
</table>

<?php else: ?>
    <div class="row controls">
        <h2><?php
            if($importFile->isExist()){
                echo UserModule::t('Upload a csv file first (There is sample on the right)');
            }
        ?></h2>
    </div>
<?php endif; ?>

<?php echo CHtml::endForm(); ?>
</div><!-- form -->

<style type="text/css">
    .items.import .errorMessage{
        color: #b3696c;
    }
    .items.import .okMessage{
        color: #8fa442;
    }
    .items.import .alertMessage{
        color: #f15a23;
    }

</style>