/**
 *
 */
function initCommentsReply(options) {
    options = $.extend(true, {
        comments:null,
        sel:{
            form:null,
            comment:'.comment',
            children:'.children',
            commentsList:null,
            cancelLink:'.comment-form-reply-cancel a',
            replyLink:'.comment-reply-link',
            replyHeader:'.comment-form-reply',
            parentIdInput:'input[name="Comment[parent_id]"]'
        },
        selectedClass:'selected'

    }, options);

    var $form = $(options.sel.form);
    var $commentsList = $(options.sel.commentsList);

    $form.find(options.sel.cancelLink).click(function () {
        $form.find(options.sel.replyHeader).hide();
        $form.find(options.sel.parentIdInput).val('');
        $commentsList.find(options.sel.comment + '.' + options.selectedClass).removeClass(options.selectedClass);
    });
    $commentsList
        .on('click', options.sel.replyLink, function (e) {
            var comment;
            var link = this;
            $.each(options.comments, function (i, parent) {
                if (parent.id == link.id) {
                    comment = parent;
                } else if (parent.childs) {
                    $.each(parent.childs, function (j, child) {
                        if (child.id == link.id) {
                            comment = parent;
                            link = $('#' + parent.id);
                        }
                    });
                }
            });
            $form.find(options.sel.parentIdInput).val(comment.id);
            $form.find(options.sel.replyHeader).show()
                .find('input').val(comment.subject);

            $commentsList.find(options.sel.comment + '.' + options.selectedClass).removeClass(options.selectedClass);
            $(link).closest(options.sel.comment).addClass(options.selectedClass);
            $('body').scrollTop($form.offset().top);

            return false;
        })
}