<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 * Comment controller class file.
 */
class ImageController extends BaseController
{
    /**
     * Outputs the given image from the image cache to the client
     */
    public function actionShow($fileName)
    {
        $genticsImageStoreModule = Yii::app()->getModule('genticsimagestore');
        $imageFilePath = $genticsImageStoreModule->getImagePath($fileName);

        if ($imageFilePath === null) {
            throw new CHttpException(404);
        }

        $this->renderBinaryFile($imageFilePath);
    }
}
